/* Autor: Leandro Bernsmuller
Define como iniciar o jogo - com sem colega e com sem tutor*/



#include <windows.h>
#include <windowsx.h>
#include "..\princip\defs.h"
#include "dlgmodo.h"



// para trocar dados entre caixa de dialogo e resto do programa:
BOOL
   bCOLEGA = FALSE,
   bTUTOR = FALSE;



/* Usado para tratar mensagens na caixa de dialogo
**********************************************************/
BOOL FAR PASCAL ProcDlgModo ( HWND hWnd, UINT uMsg, WPARAM wParam, LPARAM lParam )
{
  switch ( uMsg ) {

    // botao clicado
    case WM_COMMAND:
      {
         // qual botao
         switch ( LOWORD ( wParam ) ) {

            case IDCANCEL:
            case IDOK:
               // termina dialogo
               ::EndDialog ( hWnd, FALSE );
               break;

            case ID_JOGO1:
               bCOLEGA = TRUE;
               bTUTOR = TRUE;
               // termina dialogo
               ::EndDialog ( hWnd, TRUE );
               break;

            case ID_JOGO2:
               bCOLEGA = FALSE;
               bTUTOR = TRUE;
               // termina dialogo
               ::EndDialog ( hWnd, TRUE );
               break;

            case ID_JOGO3:
               bCOLEGA = FALSE;
               bTUTOR = FALSE;
               // termina dialogo
               ::EndDialog ( hWnd, TRUE );
               break;

            case ID_JOGO4:
               bCOLEGA = TRUE;
               bTUTOR = FALSE;
               // termina dialogo
               ::EndDialog ( hWnd, TRUE );
               break;
         }
      }
      break;

    case WM_INITDIALOG:
      {
         return TRUE;
      }
      break;
  }

  return FALSE;
}
         


/* Faz o dialogo
hWnd - janela pai
retorna:
   TRUE - continuar jogo / FALSE - terminar
   bColega - TRUE - jogo com colega, em rede
   bTutor - usar tutor
**********************************************************/
BOOL FazDialogo_ModoJogo ( HWND hWnd, BOOL &bColega, BOOL &bTutor )
{
   BOOL
      bContinuar = ::DialogBox ( (HINSTANCE) GetWindowLong ( hWnd, GWL_HINSTANCE ),
                    MAKEINTRESOURCE ( IDD_DIALOG7 ), hWnd,
                    (DLGPROC) ProcDlgModo );

   bColega = bCOLEGA;
   bTutor = bTUTOR;

   return bContinuar;
}
